Take the 2-minute tour ×
Ask Different is a question and answer site for power users of Apple hardware and software. It's 100% free, no registration required.

I have a MacBookPro5 with OS X software version 10.5.8 - is it OK to update it to 10.6.1 or higher?

share|improve this question
add comment

1 Answer 1

Assuming by "MacBookPro5", you mean one with a model identifier starting with "MacBookPro5" (they run from 5,1 through 5,5), it's one of several models released in 2008 and 2009. They all support operating systems from Leopard (10.5.x) through the current version of Mountain Lion (10.8.2).

If you want to verify exactly what model you have (a good idea just in case something got mixed up or I misunderstood you), read EveryMac's identification guide.

You will be fine upgrading to 10.6.8 (the newest release of Snow Leopard), but if you want you can go right up to Mountain Lion.

However if you haven't already, you should upgrade the RAM in your system. All of these machines support 8 GB, which is actually fairly cheap these days. 4 GB should be fine for casual usage, 2 GB is getting a bit tight, particularly if you want to run 10.8.

share|improve this answer
1  
Just as a small point to the OP, going to 10.8.x means going to 10.6.6 or higher first, then going to Mountain Lion. The 10.6.6 gets the App Store, which then allows further OS upgrades. –  soxman Oct 26 '12 at 4:16
    
Good point. You can actually go directly to 10.7 or 10.8 by imaging the installer to a USB drive, but if you don't have access to another Mac with the App Store, you'll need 10.6. Also, to be within the bounds of the license you need to have a license to 10.6. –  robmathers Oct 26 '12 at 4:38
add comment

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.